Payment Gateway Set Default
curl --request POST \
--url https://api.unibee.dev/merchant/gateway/set_default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gatewayId": 123
}
'import requests
url = "https://api.unibee.dev/merchant/gateway/set_default"
payload = { "gatewayId": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gatewayId: 123})
};
fetch('https://api.unibee.dev/merchant/gateway/set_default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"gateway": {
"IsSetupFinished": true,
"archive": true,
"autoChargeEnabled": true,
"bank": {
"accountHolder": "<string>",
"address": "<string>",
"ABARoutingNumber": "<string>",
"CNAPS": "<string>",
"Remarks": "<string>",
"accountNumber": "<string>",
"bankName": "<string>",
"bic": "<string>",
"bsbCode": "<string>",
"iban": "<string>",
"swiftCode": "<string>"
},
"companyIssuer": {
"issueAddress": "<string>",
"issueCompanyName": "<string>",
"issueLogo": "<string>",
"issueRegNumber": "<string>",
"issueVatNumber": "<string>"
},
"countryConfig": {},
"createTime": 123,
"currency": "<string>",
"currencyExchange": [
{
"exchange_rate": 123,
"from_currency": "<string>",
"to_currency": "<string>"
}
],
"currencyExchangeEnabled": true,
"defaultGatewayPaymentType": {
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
},
"description": "<string>",
"displayName": "<string>",
"gatewayIcons": [
"<string>"
],
"gatewayId": 123,
"gatewayKey": "<string>",
"gatewayLogo": "<string>",
"gatewayName": "<string>",
"gatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"gatewaySecret": "<string>",
"gatewayType": 123,
"gatewayWebhookIntegrationLink": "<string>",
"gatewayWebsiteLink": "<string>",
"isDefault": true,
"metadata": {},
"minimumAmount": 123,
"name": "<string>",
"privateSecretName": "<string>",
"publicKeyName": "<string>",
"setupGatewayPaymentTypes": [
{
"autoCharge": true,
"category": "<string>",
"countryName": "<string>",
"name": "<string>",
"paymentType": "<string>",
"supportCurrencies": [
"<string>"
]
}
],
"sort": 123,
"subGateway": "<string>",
"subGatewayName": "<string>",
"webhookEndpointUrl": "<string>",
"webhookSecret": "<string>"
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Gateway
Payment Gateway Set Default
Set default the exist payment gateway
POST
/
merchant
/
gateway
/
set_default
Payment Gateway Set Default
Endpoint Overview
POSThttps://api.unibee.dev/merchant/gateway/set_default
Set default the exist payment gateway
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
gatewayId | integer | Yes | The id of payment gateway |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/gateway/set_default" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"gatewayId": 0
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/gateway/set_default" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"gatewayId": 0
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.gateway | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Set default the exist payment gateway
The id of payment gateway
⌘I

